Ubuntu

After 9.10 grub update can not boot into Wubi install

Reported by dknollman on 2009-11-07
570
This bug affects 170 people
Affects Status Importance Assigned to Milestone
grub
Invalid
Undecided
Unassigned
grub2 (Ubuntu)
Critical
Unassigned
Declined for Dapper by Colin Watson
Nominated for Hardy by r12056
Nominated for Intrepid by r12056
Nominated for Jaunty by r12056
Nominated for Maverick by Beatles
Karmic
Critical
Agostino Russo
Lucid
Critical
Agostino Russo
lupin (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Colin Watson
Nominated for Hardy by r12056
Nominated for Intrepid by r12056
Nominated for Jaunty by r12056
Nominated for Maverick by Beatles
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

GRUB2 could not read past 4G on NTFS.

The patch was <http://launchpadlibrarian.net/37322976/debdiff>, uploaded to karmic-proposed as 1.97~beta4-1ubuntu5.

Test case:
Install Ubuntu 9.10 using Wubi
Install all available updates.
Reboot into Ubuntu.

Original report follows:
Binary package hint: grub

Installed ubuntu 9.10 using Wubi.
Performed upgrades.
After a grub update could not boot.
Get screen:

Try (hd0,0) : NTFS5:

and then

                        GNU GRUB version 1.97~1.97beta4
[ Minimal Bash-like line editing is supported ...

sh:grub>

Online help does not work for this grub version.

Need instructions to recover.

I could try a new install, but may recreate the problem after update.

Help.

Zhmurov (zhmurov) wrote :

I've got the same problem today. Seems like grub2 don't like something in its configuration file. I did something like that to boot the system:

sh:grub> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro
sh:grub> initrd /boot/initrd.img-2.6.31-14-generic
sh:grub> boot

sda2=(hdd0,2) in my is a windows partition with /ubuntu folder on it. Sure thing, you will have to change your kernel version in files (or just hit TAB to suggestions).

To find what drive is what you can use 'ls -l ' command or 'ls (hdd0,2)/' for the content. I've had (loop0) as an image of my linux root folder, supplementary partition (hdd0,1) and windows partition (hdd0,2). This will not solve the bug, but at least you will be able to use OS until it will be solved.

It is really disappointing, that this things still happening. After this bug will be gone, I'll definitely disable updates.

Hope it will help

Fernando (bocadillodeatun) wrote :

Same here... I guess that when the upgrader asked whether we wanted to overwrite the current grub2 configuration file or not we should have said "YES" instead of "KEEP CURRENT VERSION" (or something like that).

I'm running grub in a second stage after rEFIt (this is an Intel MAC), and my situation is even worse because I cannot even enter the grub shell.

What I can do is boot from a liveCD and access the original filesystem. I guess there is something I must do to "/boot/grub/grub.conf" so that it works again.

Any idea ?

robau (rob-audenaerde-org) wrote :

Same problem here. After a clean shutdown, I treid to reboot this morning, getting the same problem..

(Also, when booting to Windows, windows was running a chkdsk.. so maybe something else went wrong too.. :S)

Fernando (bocadillodeatun) wrote :

This is how I fixed it:

1) Boot from a Live CD
2) Reinstall grub as explained here: https://wiki.ubuntu.com/Grub2#Recover%20Grub%202%20via%20LiveCD

Just in case the link above stops working, this is what I did:

# sudo mount /dev/sda4 /mnt
("/dev/sda4" is where my linux data partition -containing also "/boot"- can be found. The other three previous ones are OSX stuff).
# sudo mount --bind /dev/ /mnt/dev
# sudo chroot /mnt
# upgrade-grub
# grub-install /dev/sda
(yes... this is "/dev/sda", without the "4")

Once it boots again, the "update manager" does not find any new grub package... so I guess this won't happen again (after all the new grub was installed, we just re-created its config file)

Agostino Russo (ago) wrote :

Try to replace C:\wubildr and C:\wubildr.mbr with the respective files in C:\ubuntu\winboot\wubildr*
Please let me know if that works

Agostino Russo (ago) wrote :

Also please post the grub configuration file that does not work

robau (rob-audenaerde-org) wrote :

This does not help :(

Also the fix suggested by Fernando does not work, as I use a root.disk file and no direct partition.

Replaced the files.
No change.
Still get the sh:grub> prompt.

Dieter

On Sat, Nov 7, 2009 at 7:31 AM, Agostino Russo <email address hidden>wrote:

> Try to replace C:\wubildr and C:\wubildr.mbr with the respective files in
> C:\ubuntu\winboot\wubildr*
> Please let me know if that works
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub” package in Ubuntu: New
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>

Agostino Russo (ago) wrote :

What is the grub.cfg inside of root.disk? root.disk > /boot/grub/grub.cfg
What is the output in the grub console of?

ls
ls (loop0)

Agostino Russo (ago) wrote :

Do you get any file printout with?
cat (loop0)/boot/grub/grub.cfg

dknollman (dknollman) wrote :

From the sh:grub> ls (loop0) I get

Device loop0: Filesystem type ext2,
Last modification time 2009-11-06 00:53:47 Friday,
UUID bd548a62-c679-41f3-8c33-1854ff6ae498

Dieter

On Sat, Nov 7, 2009 at 9:04 AM, Agostino Russo <email address hidden>wrote:

> What is the grub.cfg inside of root.disk? root.disk > /boot/grub/grub.cfg
> What is the output in the grub console of?
>
> ls
> ls (loop0)
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub” package in Ubuntu: New
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>

dknollman (dknollman) wrote :

I get a screen full of <0><0> ...

On Sat, Nov 7, 2009 at 9:06 AM, Agostino Russo <email address hidden>wrote:

> Do you get any file printout with?
> cat (loop0)/boot/grub/grub.cfg
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub” package in Ubuntu: New
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>

dknollman (dknollman) wrote :

Same here

On Sat, Nov 7, 2009 at 8:31 AM, robau <email address hidden> wrote:

> This does not help :(
>
> Also the fix suggested by Fernando does not work, as I use a root.disk
> file and no direct partition.
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub” package in Ubuntu: New
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>

Giacomo (grossitto) wrote :

i try to istall ubuntu 9.10 on my acer aspire with windows xp sp3
with wuby i selected an empty parition on my hd and i continued the installation..
but when i restart the pc to complete the istallation and i selected ubuntu it has appeared

Try (hd0,0) : NTFS5:

and then

                        GNU GRUB version 1.97~1.97beta4
[ Minimal Bash-like line editing is supported ...

sh:grub>

Someone had find a solution??
thk

robau (rob-audenaerde-org) wrote :

Agostino, is this needed before the cat (loop0)?

>insmod ntfs
>set root=(hd0,1)
>loopback loop0 /ubuntu/disks/root.disk

robau (rob-audenaerde-org) wrote :

Ok, I did just try to cat the (Ioop0)/boot/grub/grub.cfg.. It is to long to fit on the screen, so I tried pausing it. It does not contain any interesting entries, (maybe because I tried the other solution above and broke something?).

Anyway, the problem I now have is that the command 'load_env' breaks with the error 'error file not found'

Is there a way to easily restore the grub.cfg in the root.disk from windows (or ubuntu live cd)?

robau (rob-audenaerde-org) wrote :

ok so I found out how to restart by hand:

>insmod ntfs
>set root=(hd0,1)
>loopback loop0 /ubuntu/disks/root.disk
>set root=(loop0)
>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
> initrd /boot/initrd.img-2.6.31-14-generic

Now I probably have to add this somewhere to my /boot/grub/grub.cfg ... will do that tomorrow :S

HeNz (hany103) wrote :

I successfully booted to ubuntu using Zhmurov steps:

sh:grub> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub> initrd /boot/initrd.img-2.6.31-14-generic
sh:grub> boot

only changed "root=/dev/sda2" to to "root=/dev/sda1"
Because Ubuntu Wubi installed on C:\ Partition

I attached grub.cfg for you Agostino Russo

McKraught (mckraught) wrote :

I installed 9.10 using wubi on xp I also updated grub with update manager. I have to manual boot with:

sh:grub>insmod ntfs
sh:grub>set root=(hd0,1)
sh:grub>loopback loop0 /ubuntu/disks/root.disk
sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

HeNz (hany103) on 2009-11-08
Changed in grub (Ubuntu):
status: New → Confirmed
status: Confirmed → New
Agostino Russo (ago) wrote :

Hmm, comment #11 shows that loop0 is already mounted,
which means that the steps in #19 up to `set root-(loop0)` are not needed.

What happens if you type `root` in the grub terminal (without entering any other command)?

I am particularly interested in why you are using `insmod ntfs`, since ntfs should be already built into grub.
If there is an ntfs module built-in, you should be able to list the content of an ntfs partition without using insmod.

dknollman (dknollman) wrote :

This works if you add the boot command.
After the system booted, I ran "update-grub2" in terminal.
This fixed the boot problem.

thanks

On Sat, Nov 7, 2009 at 2:14 PM, robau <email address hidden> wrote:

> ok so I found out how to restart by hand:
>
> >insmod ntfs
> >set root=(hd0,1)
> >loopback loop0 /ubuntu/disks/root.disk
> >set root=(loop0)
> >linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1
> loop=/ubuntu/disks/root.disk ro
> > initrd /boot/initrd.img-2.6.31-14-generic
>
> Now I probably have to add this somewhere to my /boot/grub/grub.cfg ...
> will do that tomorrow :S
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub” package in Ubuntu: New
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>

McKraught (mckraught) wrote :

I ran "update-grub2" after system boot in terminal as root and this did not fix my problem.

Agostino Russo when I keyed "root" at the prompt I got:

(loop0): File system is ext2

As far as why I used `insmod ntfs` I have no reason for using. (is my face red?)
what I used is:

sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

and it worked.

robau (rob-audenaerde-org) wrote :

Agostino, I took the grub.cnf entry from a clean wubi 9.10 install, so that's why the insmod is there :)

Thorsten vS (ubuntu-vs11) wrote :

Thanks for everybody's posts to this issue -- they solved the problem for me. Here's a brief account:

I installed 9.10 AMD64 under Windows XP MCE using wubi, and got stranded at the grub2 prompt during the first reboot.
As described by others, I entered only:
> linux /boot/vml... root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
> initrd /boot/init...
> boot

Where the dots are I pressed TAB for auto-completion. The boot was successful. I then installed all proposed updates, rebooted and again landed at the grub2 prompt. So I entered the above commands again and after successful boot entered in a terminal:
> sudo update-grub2

After that, the system booted normally.

robau (rob-audenaerde-org) wrote :

The sudo update-grub2 broke my system :o

I earlier replaced the grub.cfg in /boot/grub, but the update-grub2 replaced that one by a new one?

Agostino Russo (ago) wrote :

McKraught what is the output of

cat (loop0)/boot/grub/grub.cfg

McKraught (mckraught) wrote :

Augostino,

 here it is:

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/10_lupin ###
menuentry "Ubuntu, Linux 2.6.31-14-generic" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set ee48086248082bc1
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd /boot/initrd.img-2.6.31-14-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic (recovery mode)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set ee48086248082bc1
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-14-generic
}
### END /etc/grub.d/10_lupin ###

### BEGIN /etc/grub.d/20_memtest86+ ###
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Microsoft Windows XP Home Edition (on /dev/sda1)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set ee48086248082bc1
 drivemap -s (hd0) ${root}
 chainloader +1
}
menuentry "Microsoft Windows XP (on /dev/sdb1)" {
 insmod ntfs
 set root=(hd1,1)
 search --no-floppy --fs-uuid --set 8eb4b645b4b62f97
 drivemap -s (hd0) ${root}
 chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

hope this helps....
John

Agostino Russo (ago) wrote :

McKraught, that looks fine, can't you boot with that config.cfg?

I.e. can you do

configfile (loop0)/boot/grub/grub.cfg

then select the first option?

Agostino Russo (ago) wrote :

Please note, I only need reports for people who have the problem, if somehow you fixed the issue, please do not reply or you will be make debugging more complex. If it does NOT work for you, please post the output of the following grub commands:

ls
root
cat (loop0)/boot/grub/grub.cfg
configfile (loop0)/boot/grub/grub.cfg

Andy Fried (main-theweasels) wrote :

A fresh install of Wubi 9.10, also failed to reboot after the initial configuration boot.
results of above commands are:

ls
(loop0) (hd0) (hd0,2) (hd0,1) (hd1) (hd1,1) (fd0)
root
(loop0): Filesystem is ext2.
cat (loop0)/boot/grub/grub.cfg
     (pages of garbage, eg. <cb><ce>8<aa>F[T<a4><bb>R<c3>)
configfile (loop0)/boot/grub/grub.cfg
error: unknown command '?'
Syntax error
Incorrect command
Syntax error
error: unknown command 'np???w<?????iq?' (some characters were untypeable)
Syntax error
Incorrect command

Agostino Russo (ago) wrote :

So it seems that (loop0)/boot/grub/grub.cfg is corrupted, can the others confirm?
You can also check the file if you boot manually as explained above and then open /boot/grub/grub.cfg

HeNz (hany103) wrote :

ls:
----

(loop0) (hd0) (hd0,5) (hd0,1)

root:
--------

Filesystem is ext2. <--- why its not ext4?

cat (loop0)/boot/grub/grub.cfg:
----------------------------------------

Fullscreen of <0><0><0><0><0>........ <--- Inverted colors, background white, text black

configfile (loop0)/boot/grub/grub.cfg:
-----------------------------------------------
error: unknown command '<value'
error: unknown command '</prop>'
error: unknown command '<prop'
error: unknown command '</node>'
error: unknown command '</node>'
error: unknown command '</oor:component data'

And about the grub.cfg after booting manually, i attached it in post #18

Andy Fried (main-theweasels) wrote :

Tried to boot manually using:
> linux /boot/vml... root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
> initrd /boot/init...
> boot

got:
ALERT! /hosts/ubuntu/disks/root.disk does not exist. Dropping into a shell!

the path exists in windows, but there is no ubuntu in hosts in BusyBox, although hosts exits.

McKraught (mckraught) wrote :

Augostino,

I also got the errors:

sh:grub>configfile (loop0) /boot/grub/grub.cfg

error: unknown command A@??!?$'Ao?T%'
error: unknown command D?1%
error: unknown command E?H??L9???@??

@ looked like a smiley face :)
% looked like clubs ie deck of cards

McKraught (mckraught) wrote :

Andy,

I've had:

ALERT! /hosts/ubuntu/disks/root.disk does not exist. Dropping into a shell!

but I had syntax wrong.

Andy Fried (main-theweasels) wrote :

After typing:
> linux /boot/vml... root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
> initrd /boot/init...
> boot
and getting:
ALERT! /hosts/ubuntu/disks/root.disk does not exist. Dropping into a shell!

I can't find root.disk or even 'Ubuntu' folder. 'Hosts' folder exists, but there's no 'Ubuntu' folder within it.

The Ubuntu folder exists in windows on the C: drive, so does the ubuntu/disks/root.disk.

I just can't seem to boot.

Has anyone got any ideas?

I have exactly the same problem. After the grub update, i restarted the next day (today) and am suck in the same place starting at sh:grub>

Did what you said Augostino. Here's what I got:

ls delivered:
(loop0) (hd 0) (hd 0,5) (hd 0,3) (hd 0,2) (hd 0,1)

root delivered:
Filesystem is ext2

then typed:
cat (loop0)/boot/grub/grub.cfg and got a whole bunch of <0>'s. Like a bunch of eyes looking at me in deep pleasure of my irritation.
configfile (loop0)/boot/grub/grub.cfg

and it returned me to sh:grub>

So after typing config (loop0)/boot/grub/grub.cfg I had no 1st option to select.

Additionally, I tried:

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda loop=/ubuntu/disks/root.disk.ro
initrd /boot/initrd.img-2.6.31-14-generic
boot

I get a bunch of stuff including "Kernel Panic - not syncing: VFS:unable to mount root fs on unknown block (8,1)
I believe this is because it's trying to do it's thing from the wrong partition. It gives me a list of partitions:

0801 80293 sda1
0802 10485760 sda2
0803 231009280 sda3
0804 1 sda4
0805 2620416 sda5

I have no idea what I should be using for the /dev/sda bit. I tried sda1, sda2 and i think i also tried sda3. Nothing. Thoughts?

Whoops, sorry for the sp on your name Agostino. I typed it from someone else's sp error. Thanks in advance for any help.

Agostino Russo (ago) wrote :

If you have "ALERT! /hosts/ubuntu/disks/root.disk does not exist." it is because when you run the command

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash

you need to replace /dev/sda1 with the appropriate partition, /dev/sda1 means that wubi is to be found on the first partition of the first disk, which might not be the case.

If you have a corrupted /boot/grub/grub.cfg, please try to boot manually following the instructions above, do a system upgrade, the regenerate the grub configuration with the command: sudo update-grub

Then check whether the file /boot/grub.cfg is meaningful or just a bunch of random chars
If it seems ok try to reboot, otherwise please report it here.

robau (rob-audenaerde-org) wrote :

Hi Agostino,

I also get a load of <0>'s when catting the loop0/boot/grub/grub.cnf before setting the loopback...

I also tried to figure out what is going wrong, it seems not to be related to grub, but rahter to what happens before/how grub is loaded... Here is why I think this:

I moved my broken wubi to /ubuntu.old. Did a clean 9.10 wubi install. Works like a charm. Then booted the old /ubuntu.old back to /ubuntu and then it works fine. So I figure the upgrade-grub2 messes up something that wubi uses?

Agostino Russo (ago) wrote :

Yes that seems to be the case, but I cannot reproduce this bug, and there isn't anything obvious in the code.
So it's a matter of narrowing it down a bit.
If you follow the instructions in #39 it might help. Hopefully this is reproducible on your side.
If it is an update-grub problem, it might be a matter of going through the /etc/grub.d scripts.

Andy Fried (main-theweasels) wrote :

Hi Agostino,

Thanks for the help, it was sda2.

I've now booted and opened grub.cfg, its perfectly readable, see below...

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/10_lupin ###
menuentry "Ubuntu, Linux 2.6.31-14-generic-pae" {
 insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 6246c57846c54e0b
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic-pae root=/dev/sda2 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd /boot/initrd.img-2.6.31-14-generic-pae
}
menuentry "Ubuntu, Linux 2.6.31-14-generic-pae (recovery mode)" {
 insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 6246c57846c54e0b
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic-pae root=/dev/sda2 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-14-generic-pae
}
### END /etc/grub.d/10_lupin ###

### BEGIN /etc/grub.d/20_memtest86+ ###
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows Vista (loader) (on /dev/sda2)" {
 insmod ntfs
 set root=(hd0,2)
 search --no-floppy --fs-uuid --set 6246c57846c54e0b
 chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

robau (rob-audenaerde-org) wrote :
Download full text (4.2 KiB)

I have 2 update-grub commands, update-grub and update-grub2

After running the first:

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/10_lupin ###
menuentry "Ubuntu, Linux 2.6.31-14-generic" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 565c47375c4710e3
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash
 initrd /boot/initrd.img-2.6.31-14-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic (recovery mode)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 565c47375c4710e3
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro single
 initrd /boot/initrd.img-2.6.31-14-generic
}
### END /etc/grub.d/10_lupin ###

### BEGIN /etc/grub.d/20_memtest86+ ###
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows NT/2000/XP (on /dev/sda1)" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 565c47375c4710e3
 drivemap -s (hd0) ${root}
 chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

After the update-grub2:

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s /boot/grub/grubenv ]; then
  have_grubenv=true
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  saved_entry=${prev_saved_entry}
  save_env saved_entry
  prev_saved_entry=
  save_env prev_saved_entry
fi
if [ ${recordfail} = 1 ]; then
  set timeout=-1
else
  set timeout=10
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=white/black
set menu_color_highlight=black/white
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/10_lupin ###
menuentry "Ubuntu, Linux 2.6.31-14-generic" {
 insmod ntfs
 set root=(hd0,1)
 search --no-floppy --fs-uuid --set 565c47375c4710e3
 loopback loop0 /ubuntu/disks/root.disk
 set root=(loop0)
 linux /boot/vmli...

Read more...

HeNz (hany103) wrote :

After the newest update (yesterday), i can't even boot ubuntu manually using steps i stated before.

it hangs half way through booting, Some of what is written on the screen:

RAMDISK: Couldn't find valid RAM disk image starting at 0

No file system could mount root, tried: ext3 ext2 ext4 fuseblk

kernel panic - not syncing:VFS: unable to mount root Fs on uknown block (8,1)

PID 1 comm:swapper Not Tainted 2.6.31-14-generic #48-Ubuntu
Call Trace
.
.
.
[0.833036] [<c0104007>] kernel _thread_help+ox7/ox10

Please help :(

Andy Fried (main-theweasels) wrote :

In desperation I ran 'update-grub', tried to reboot and failed.

I ran 'upgrade-grub2' to put everything back as before, and ran a single update to my 'gCDEmu' virtual CD system, before rebooting. It all works fine for me, now!?!

Peter (kruschep) wrote :

Have the same error, Karmic, x86_64 (grub prompt, grub fails to execute grub.cfg).

Here are a few (possibly new) symptoms:

* grub.cfg looks fine when editing using vim after booting the system using grub shell commands
* however: when using cat /boot/grub/grub.cfg from the grub shell, it shows the content of a different file. (grub root is the loopback device, I can also see my home folder in there). When updating grub, this moves (I had several different binary or text files coming out as grub.cfg)

Could it be grub has trouble reading ext4?

Mark Abene (marcocinco) wrote :

Fresh Ubuntu 9.10 wubi install here. And here's the deal:
After updating and regenerating /boot/grub/grub.cfg (which is the same as original), a fresh boot drops me to the grub prompt. Grub2 is unable to read any text files at all now, which is the obvious reason for being dumped to the grub prompt. "cat /boot/grub/grub.cfg" gives a screen full of garbage. Even "cat /etc/passwd" gives garbage. "ls" can find the files just fine. I can still boot manually by giving the proper "linux" and "initrd" arguments. These files are NOT ACTUALLY CORRUPTED, they can be read just fine in ubuntu. Only grub can no longer read them. That's problem #1.

Now, problem #2: if you build a fresh kernel from source and install it into /boot, grub2 can't boot it. "Invalid magic number" is the error, no matter what you do. I first ran update-grub, which creates the proper grub.cfg in /boot/grub, but it's unreadable while in grub2 (see above problem). The grub.cfg is perfectly readable when booted in ubuntu. I also tried running grub-install after, which only modifies the "wubildr" file in the root directory of my windows drive ("wubildr.mbr" is untouched). This makes no difference. Worse still, if you move, rename, etc., the original stock generic kernel or initrd from the base install, grub will NEVER LOAD IT AGAIN at boot, you'll get the same "Invalid magic number" error in grub as you would from building your own kernel. I already killed a fresh install this way. Despite booting from usb and mounting/chroot my install, running grub-install a million times couldn't fix that problem. grub-install also leaves behind a whole mess of seemingly useless files in /boot/grub. And yes, I've verified that I'm running the grub-install wrapper from the lupin package.

Summary: Moving, renaming, or regenerating ANY file, whether it's the kernel, initrd or grub.cfg results in those files becoming unreadable by grub2, probably because they're not being found in the correct place on the drive, resulting in garbage for text files, and invalid magic numbers for binaries. Also, grub-install's modification of C:\wubildr has no effect, and it also leaves behind a mess in /boot/grub on the linux side.

I'd say this is pretty serious, since I already rendered my original install completely unbootable as a result of these problems.

Mark Abene (marcocinco) wrote :

A few more observations:

I mentioned that running "grub-install" modifies c:\wubildr and deposits a tons of files into /boot/grub on the linux side.
The files are being copied from /usr/lib/grub/i386-pc. I have no idea why they're being copied, as a stock install does not locate these files in /boot/grub. Despite this copying, grub.cfg, etc., are undisturbed, and update-grub properly updates grub.cfg.

The earlier poster is misleading, since update-grub and update-grub2 are identical. update-grub2 simply calls update-grub, so any differences are entirely his imagination.

Another earlier poster did a "insmod ntfs" in grub because that's how update-grub creates the grub.cfg. All automatically generated grub.cfg files have "insmod ntfs" in them from a template. This is even in the stock grub.cfg from a fresh install, and works fine. Nothing to do with the problem.

I agree with previous poster that perhaps grub is having a problem reading ext4? While the root filesystem is in fact ext4 mounted over loopback, "root" in grub identifies it as "ext2", which is wrong. Could this be related? And a reminder that any files modified from stock install become unreadable by grub (they read as garbage).

But worse still, why is it that ubuntu chose to use an obviously broken beta version of grub2 in a production version of their OS? That's completely irresponsible. It obviously hasn't been sufficiently tested, and that fact is now wasting everyone's time.

Mark Abene (marcocinco) wrote :

Adding bug #477169 as a duplicate, because it is. That's exactly what happened to my first install if initrd is updated. If the kernel is updated, it's "invalid magic number". In fact it looks like any file which is updated from the original stock install reads as garbage from within grub2. For example, after update, grub.cfg reads as garbage, so does /etc/passwd, if accounts were added/passwords changed. If /etc/hosts or /etc/group, just as examples, were never edited, they can be read with "cat" just fine within grub2. I seriously suspect grub2's ext4 support is broken. These files, of course, are perfectly fine, if you boot a live install media of ubuntu and mount the root.disk over loopback. It's only grub2 which has the problem, compounded by wubi's choice of ext4 for the root.disk file.

I'm running 32-bit Ubuntu 9.10, by the way. not 64-bit. So the problem seems to affect everyone equally.

Michel Oudt (me-oudtdoor) wrote :

Same problem here, running 9.10 wubi from the c:\drive on win7. In order to get going again, i tried basically all tips in this thread, with no luck. As a last resort i renamed my c:\ubuntu folder to ubuntu.old, and installed a new wubi instance. Then after restarting, esc out of grub to the shell prompt.
then entered;
sh:grub> linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda2 loop=/ubuntu.old/disks/root.disk ro
sh:grub> initrd /boot/initrd.img-2.6.31-14-generic
sh:grub> boot

This brought me back to my original 9.10 installation, now i could use some tips on how to repair things in order to be able to boot normally from my initial installation.

plse advise

My Bug #482195 was marked as a duplicate of this one, but I'm not sure if it is. It is a specific edge case when using the AMD64 version of Ubuntu and specifying installation size to 30G. If I use 32bit Ubuntu or if I specify 29G installation size and below then everything went fine.

mohdyusuf (mohdyusuf) wrote :

This bug affected me too. However, none of the workaround to manually boot the system failed for the fact that no hard disks were listed under /dev/

I have no idea why.

when i do
sh:grub> ls

i get something like
(loop0) (hd 0) (hd 0,1) (hd 0,2) (hd 1) (hd 1,1) (hd 0,2)

but there is no /dev/sdxx

I have tried every single suggestion here, but the fact of the matter /dev/sdxx are not there and i cant boot. I resorted to re-installing the wubi all over again..

Diskpol (diskpol) wrote :

I have the same problem that mohdyusuf (comment #52). When I try to recreate the grub, the system says that there are no 'mount point in /dev/ /mnt/dev' where I write 'sudo mount --bind /dev/ /mnt/dev'.

And alsoi, I'm unable to load ubuntu with the suggestion of comment #1 or #17.

I have the same problem that #34 (file corrupted?)

I have the wubi-ubuntu installation into the 'E:/ubuntu/' drive of my laptop (the thrid partion, sda3). The first one is the hidden vista restauration and the second (c:) is vista.

If someone need some extra info to try to solve our problem, please let me know.

I'm new here but I'm a little surprised because this 'bug' have a 'undecide' importance.

Is we are unable to at least enter into ubuntu has a 'undecide' importance. May be 'higt' should be when the computer became in flames or when the moon collide with the heart when we choose 'unbunto' instead 'windows'.
;-)

Djay86 (j-delarche) wrote :

Same problem here, since nothing worked i've had to reinstall Wubi i'm really pissed this bug should be listed as high.

Changed in grub (Ubuntu):
status: New → Confirmed
elvito (vitus-hanemann) wrote :

@ Comment #52 and #53

try for hd0,1 sda1 or for hd1,3 sdb3 and so on. Please remember this thread isn't for support! Next time you should use google for answering questions like that.

Luiz Corte Real (sr-saude) wrote :

I have the same problem as described in comments #44 and #37, and I'm quite sure I'm typing the correct parameters for root and loop. I get a kernel panic after manually booting following the instructions above.

What to do in this case?
OBS: My Ubuntu is 64-bit

mohdyusuf (mohdyusuf) wrote :

Ok, it's definitely messed up.

I tried the update without the grub update, it seems that some stuff in the update list caused the kernel not to find the hard disk.

I am now seeing the error like in #37

"Kernel Panic - not syncing: VFS:unable to mount root fs on unknown block"

even though i can see the grub setting properly. This is the second time i installed Ubuntu thru wubi...

third time's a charm?

Relja (arandjelovic-relja) wrote :

In brief - same behaviour as #44.

Installed kubuntu 9.10 with wubi, was running fine this morning. Then I updated it and since then it won't boot up giving the
Kernel panic - not syncing: VFS: unable to mount root fs on uknown-block (8,2)
message

I tried manually booting like in #1 (tried all sdaX just in case..) , but it ends up with the exact same error as #44.

Outputs to commands asked for in #29:

ls:
(loop0) (hd0) (hd0,4) (hd0,2) (hd0,1) (fd0)

root:
Filesystem is ext2

cat (loop0)/boot/grub/grub.cfg
<a bunch of readable text, e.g. something like #42>

configfile (loop0)/boot/grub/grub.cfg:
start up the same choice I had before entering grub command prompt..

Gergely Imreh (imrehg) wrote :

I got the same error with the latest kernel update:from 2.6.31-14 to 2.6.31-15

When booting it ended up in the minimal grub shell.

HOWEVER, I could recover to a certain extent:
Noticed that there was already a (loop0) device listed, thus the grub could create the loop device from the root.disk
(one can check: if "ls /" gives linux-type of directory structure, it should be already in the loop device)

Then issued the following commands to get into linux:
linux vmlinuz-2.6.31-14-generic root=/dev/sda6 loop=/ubuntu/disks/root.disk ro
initrd initrd.img-2.6.31-14-generic
boot

Note!:
1) I had to do the old version (-14), the new version (-15) sent it into reboot immediately after issuing "boot"!
2) the root=/dev/sda6 is on my computer for others' machines it will be different

After that, being in Ubuntu, i think i issued a "sudu grub-update". At the next update the grub screen was back, -15 still rebooting, but -14 works fine for the moment....

What's in the kernel update that it brakes like this?

Mark Abene (marcocinco) wrote :

It isn't the kernel update that broke anything, it's grub2 losing the ability to see the new kernel file. In all my tests (I've been able to reproduce every single error everyone has gotten), grub2 was always the root cause.

As a test, I created a complete duplicate of my Wubi install as ext3 instead of ext4 root.disk. Grub2 suffers from the same problem of being able to read some files fine, others as garbage, and some not at all (freezing). I can't say if the problem is being triggered by the filesystem being on a loopback device, or if grub2 is perhaps having serious problems seeking into extremely large disk partitions (or a combination of the two), since /boot isn't a separate filesystem in Wubi.

Currently I was able to restore my install by creating a simple 200MB ext2 "boot.disk" as a separate loopback device mounted as /boot, and keeping the original root.disk as ext4. I made a very small change to /usr/share/lupin-support/grub-mkimage so that grub-install writes a correct wubildr to /host (C:\)pointing to the new boot.disk, as well as adding a "/boot" entry to /etc/fstab.

So far my system has been running just fine, including having compiled and installed a custom kernel and initrd to my new /boot filesystem.

At some point I intend to test having /boot as ext3 or ext4.

What I can include from all this is that something is seriously BROKEN with grub2, though I personally haven't had the time to investigate this in the grub2 source.

I recommend the Wubi maintainers perform similar tests as I've outlined above, i.e. small, separate /boot filesystem on it's own loopback-mounted file, as it's a successful workaround until grub2 gets fixed.

Jimmy High (jimmyhigh) wrote :

Getting 'ALERT! /dev/hda2 does not exist. Dropping to a shell!' after trying some of the workarounds mentioned in this thread.
It seems that some people have managed to go over this or over the whole mess... any suggestion on what I should try at this stage?

(grub.cfg also shows some grabage when I cat it)

Thanks!

jdjennings (jennings) wrote :

Kudos to Mark Abene. Mark, using this trick I was finally able to boot my wubi install. Thanks!!! See my post in bug https://bugs.lauchpad.net/wubi/+bug/477169 #69. I typed all the commands from the grub> prompt, now I'll modify the appropriate files to make this automatic.

maihacke (simon-spielmann) wrote :

Following situation here:

Karmic Installation with wubi
Kernel is 2.6.31-14 (no other installed)

After booting grub says "error: file not found"
grub.cfg looked like garbage

Booted Ubuntu from Live-CD
Grup.cfg looks fine here. I tried to rewrite it anyway by doing the following steps:
 - Mounted root.disk, proc, sys, dev to /mnt
 - chroot into mounted root.disk
 - Tried to repair grub with "update-grub2". grub.cfg was written but no kernels where listed in lupin-Section.
 - Mounted wubi-"host"-filesystem (the one witch is mounted to /host normaly) to /mnt/media/<normal mount point>
 - Started update-grup2 again, now my normal boot options where genereated in lupin-section in grup.cfg

After reboot the grub-menu comes up again, so grub.cfg seems to be readable again.
Selecting the default boot-option starts the kernel. The two lines for linux-image and initrd came up, but booting fails with

"Kernel Panic - not syncing: VFS:unable to mount root fs on unknown block (8,1)"
as in #37

So I still do not have a working system here!

ncmncm (chandramohan-usecure) wrote :

Hello all,

Experiencing the same problems as above. Have

- single hardisk (2 paritions) with WinXP and Ubuntu(on C:\)
- Ubuntu 9.10 Kernel 2.6.31.14 was installed first and grub worked fine
- Update generated new version 2.6.31-15
- restarted system and falls into grub shell.

Followed the steps from post #22 (McKraught) and system came to life again.

 update-grub does _NOT_ solve the problem!

Unfortunately for me, this whole thing happened on a production/release system running SVN.

Can someone suggest an solution/ alternative to grub until this issue is resolved?

Mark Abene (marcocinco) wrote :

As was already commented on, go to bug report 477169, and read #69 and #70.
Complete workaround solution to the problem.

If it "doesn't work", go read it again.

affects: grub (Ubuntu) → grub2 (Ubuntu)
Changed in grub2 (Ubuntu):
importance: Undecided → Critical
800xlman (tyro11) wrote :

Forgive me I am new to ubuntu 9.10 this is my problem. I did my updates and the computer got stuck at sh:grub> prompt now I typed this in

sh:grub>insmod ntfs
sh:grub>set root=(hd0,1)
sh:grub>loopback loop0 /ubuntu/disks/root.disk
sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

and I am into ubuntu but my windows xp will not boot it says missing windows root\system32\hal.dll

but ubuntu does load and work looking on another thread I saw somebody typed this in the terminal

sudo update-grub2

I did this and it reinstalled grub 2 but I am afraid to reboot

also I mounted my windows drive in ubuntu checked that directory windows root\system32\hal.dll and that file is there.

Thank you for any help

since I have used ubuntu 9.10 I have not used xp so I do not care if it works but since ubuntu is installed in it and it disintegrates will that not take ubuntu with it?

Araxhiel (khy-araxhiel) wrote :

(Warning: English ISN'T my native lenguaje, so, please, be patient)

I'm affected by this bug too, but, in my particular case it appears when, before I install the "grub2-splashimages" package, I *also* make a modification of the "/etc/grub.d/05_debian_theme" in order to activate a splashimage, and later I execute the (now) (in)famous "update-grub2" and reboot.

Since yesterday, at 22:50, I was unable to access to my system until today, when I find this thread (¿it's correct to name it thread?). I follow the instructions of Zhmurov (#1) and 'Ta-Da', my system boot somoothly as I expect =D. I also follw the recomendation of make a 'full system update' and then 'exec' the 'update-grub2', but I make that yesterday so, I uninstall the kernel that I'm not using and then make the update of the grub. The result: nothing was changed, I still need to boot manually with the instructions of #1.

After 30 minutes of thinking (a miracle if I can say...) and reading all the posts (from #1 to #66), I started to look and try to understand ALL the files inside of '/etc/grub.d/', until I get the idea of restore the '05_debian_theme' that I modify yesterday (remember that Gedit makes a backup of the files), reboot the system and--- vouala! here I am, but this time the grub loads correctly.

I don't know if was an issue of the splashimage or an issue of syntaxis in the '05_debian_theme' file, but I want to know what was the problem and in which way that files (all the files in /etc/grub.d/*) affects in the load of the grub, and I don't know if that little discovery could help to someone here (I hope that it can).

Any way, I'm still looking around about a final solution of this bug.

Long days and pleasant nights...

Araxhiel (khy-araxhiel) wrote :

@800xlman:

I used to have that problem in Jaunty (wubi) too. Its a problem of configuration in the boot.ini file (well, that WAS in my specific case, maybe it is the same situation for you). I solved via 'test & error' or in other words, testing all the posible entrys on the boot.ini file.

In the boot.ini file look for this: 'default=multi(0)disk(0)rdisk(0)partition(3)\WINDOWS="Windows XP" /fastdetect' (this line could be slighty different in your PC) and make a copy of that values modifying the partition and the disk value: 'default=multi(0)disk(0)rdisk(0)partition(1)\...' or 'default=multi(0)disk(1)rdisk(0)partition(0)\...' or something like that (of course, only edit that parameters: disk and/or partition).

The main thing here is that you need to test which is the correct partition/disk (Windows is sooo... errr... weird (^.^') even if you set the correct parametrer, sometimes you'll get an error message of windows itself.

Try to make several entries, all different between them. You cal also check the 'root=' parameter in the menu.lst/grub.cfg file, and changing the value in the same way like in the boot.ini file.

efrost (evgeny-frost) wrote :

Hello!

Also have this problem and tried all the suggested solutions - nothing works. Though, I can boot from grub's shell manually.

After this crash, I've completely reinstalled Ubuntu and now I have two images - the working one and the broken one.
I am wondering, what if I just copy everything related to grub from the working image into the broken image - might it help? ...I just don't know where are all grub's files... could you give me some hint about it?

One more thing (may be very stupid): I can't get this idea with grub and grub2. What is the difference and why I still have grub2 shell if I purge grub2 and install grub via apt-get?

Regards,
efrost

efrost (evgeny-frost) wrote :

I think I've found a solution for me.

Steps:
1. Completely remove grub, grub2, grub-pc and grub-common packages.
2. Delete all files in the /boot/grub directory
3. Delete packages cache, so they'll be downloaded once more (don't know whether it is necessray)
4. Install grub-pc and grub-common packages only
5. Run update-grub2
6. reboot

So, I don't have installed grub and grub2 packages now and it works!

Mark Abene (marcocinco) wrote :

You need to be following bug #477169 for the most up to date info on this problem, as well as a workaround solution.

Xavier RAFFIN (xavierraffin) wrote :

Same problem.

The issue is that the new kernel has a bad magic number.
So it is unloadable.

But return to grub prompt instead of grub boot menu is very unpleasant.

The following sequence save me:

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk
initrd /boot/initrd.img-2.6.31-14-generic
boot

To fix the issue I have set GRUB_DEFAULT=2 in /etc/default/grub

Joe Fry (joe-thefrys) wrote :

Same issue here with 9.10 x64 in Wubi.

Mine seems to be an issue with the kernel though. When I enter:

      linux /boot/vmlinuz-2.6.31-15-generic root=/dev/sda3 loop=/ubuntu/disks/root.disk

I get a grub "error reading file". However if I specify -14-generic instead, it works fine. I have tried reinstalling the kernel to no avail. For now I will uninstall -15-generic until the next kernel release.

Xavier RAFFIN (xavierraffin) wrote :

OK Joe I have got the same issue.

This is an issue with kernel patch 15 magic number

try
 linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda3
loop=/ubuntu/disks/root.disk

instead of

 linux /boot/vmlinuz-2.6.31-15-generic root=/dev/sda3
loop=/ubuntu/disks/root.disk

And don't forget to initrd the xxx-14-xxx.img

2009/12/4 Joe Fry <email address hidden>

> Same issue here with 9.10 x64 in Wubi.
>
> Mine seems to be an issue with the kernel though. When I enter:
>
> linux /boot/vmlinuz-2.6.31-15-generic root=/dev/sda3
> loop=/ubuntu/disks/root.disk
>
> I get a grub "error reading file". However if I specify -14-generic
> instead, it works fine. I have tried reinstalling the kernel to no
> avail. For now I will uninstall -15-generic until the next kernel
> release.
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub2” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/477104/+subscribe
>

hyungt1024 (hyungt1024) on 2009-12-06
Changed in grub2 (Ubuntu):
assignee: nobody → hyungt1024 (hyungt1024)
sirajperson (sirajperson) wrote :

Greetings all, I recently updated my system and was surprised to find that on reboot that grub could not load the kernel, offing a message: file not found. After exploring the grub shell for a bit I found that the mounted boot partition was loaded into the /boot directory. Thus in the beginning of the boot arguments I removed the /boot for the full file location, and was able to manually boot my system.

===============================================================================
1) From the boot menu press "e"
2) Change:

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/mapper/VolGrp0-root ro splash quiet quiet splash

to:

linux /vmlinuz-2.6.31-14-generic root=/dev/mapper/VolGrp0-root ro splash quiet quiet splash

3) Change:

initrd /boot/initrd.img-2.6.31-14-generic

to:

initrd /initrd.img-2.6.31-14-generic

=======================================================================
This allowed me to manually boot, and then to edit my configuration after Ubuntu booted.

Type the next script in order to find the "Y":
grub>ls (hdX,Y)

where Y=1 in most of Wubi cases, hence>
...root=/dev/sda1
------------------------------------------------------

grub>ls
grub>ls (hdX,Y) #find ubuntu partition
grub>insmod ntfs #load ntfs module
grub>set root=(hdX,Y)
grub>ls $Boot #find BOOT partition's UUID
grub>search --no-floppy --fs-uuid --set UUID
grub>loopback loop0 /ubuntu/disks/root.disk
grub>set root=(loop0) #reset loop to loop0
grub>linux /boot/vmlinuzxxxxxxxxx root=/dev/sda1 loop=/ubuntu/disks/root.disk ro quiet splash #load kernel
grub>initrd /boot/initrd.imgxxxxxxxxxxxx
grub>boot

after login, run “update-grub2” in terminal

Note: Use tab to complete xxxxxxxx

http://ubuntuforums.org/showthread.php?p=8471343#post8471343

phcoder (phcoder) wrote :

It's a bug in ntfs.mod for which I committed the fix upstream yesterday. Use upstream or wait for Colin Watson to propagate the fix

Narada2XK (narada2xk) wrote :

I've been having this problem for months...MONTHS!! I either install the update (2.6.31-16), reboot and get the kernel panic issue or actually use the (2.6.31-16) update, install and configure my applications, get in a few reboots that actually took me back to my desktop until that unlucky time it doesn't work. I thought it was the .iso or the dvd I used (even though when I checked cd for defects it passed and for the .iso, I downloaded it with a usb creating tool like LinuxLive USB Creator, which verifies the .iso file. I also thought it had something to do with the hdd order because the main hdd wasn't on sata 0 but on sata 1. So before the 3rd or 4th installation of Ubuntu 9.10, I swapped the hdds to the correct order...still had the issue.

What I've done to make this stable (for the moment) is to load 14 (which ALWAYS works) using the steps mentioned in the beginning of this forum, completely remove all the kernels (2.6.31-15/16-generic), update the system (which doesn't even include the uninstalled kernels), reboot, installed from scratch the 2.6.31-16 headers, headers-generic and the linux-image for that kernel, did not hit restart now and did it using the menu and here I am now, no grub2 command line, no kernel panic, smooth sailing...

meow81 (whocares) wrote :

what is upstream? where will be propagated the fix? how to patch with in an already installed wubi?

meow81 (whocares) wrote :

Am Samstag, den 12.12.2009, 14:27 +0000 schrieb meow81:
> It's the same bug of the kernel panic error ?
> https://bugs.launchpad.net/ubuntu/+source/lupin/+bug/477169?comments=a
> ll

It can't be. GRUB has nothing to do with the kernel being unable to
mount it.
At least if the root= linux parameter has the right device or UUID of
it.

--
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer

Felix Zielcke (fzielcke) wrote :

Am Samstag, den 12.12.2009, 14:03 +0000 schrieb meow81:
> what is upstream? where will be propagated the fix? how to patch with
> in an already installed wubi?

In the context of Vladimirb (phcoder) it means the GNU project, where
GRUB is officially developed/maintained.
I don't know the internals of Wubi but I doubt that upgrading the
package inside of the Linux disk image would fix GRUB outside of it on
the Windows NTFS partition.
And it depends if Ubuntu wants to wait until Debian has this fix
included or if they directly grab it from the GNU Bazaar trunk.
I only know that we won't do an upload in the next days in Debian as
long as nothing critical comes up.

--
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer

Relja (arandjelovic-relja) wrote :

Hi,

I described my symptoms (kernel panic etc) in #58

None of the proposed fixes worked for me (e.g. post #65, or I didn't execute everything properly, but I think I did).
However, this worked like a charm:
http://ubuntuforums.org/showpost.php?p=8361928&postcount=38
(replace /dev/sda1 with your appropriate partition..)
I think the instructions are written very clearly, after rebooting everything was back to normal.

Jim Liebert (jimlbrt) wrote :

Having reinstalled 9.10 once already, upgraded Grub twice, and sifted through all 82 foregoing posts, plus more linked struggling, I suddenly recognize I could be dealing with this Schweinerei for five more months. However engrossing a hobby Ubuntu might prove, I have remunerating work to finish.

Andy Fried (main-theweasels) wrote :

The problem magically rectified itself , the last time.
I updated my system last night, after being unable to access it for a week. I noticed an upgrade for grub, and it broke it again. Now I can't boot again.
This is doing ubuntu's reputation as a stable operating system, no good at all. I think I'll reconsider my Vista!

Andy and Jim,

I had this problem on a computer at work a couple of weeks ago. I messed
around with it for a few days, and then decided that I could not afford to
spend weeks trying to make my computer boot properly. I reformatted the hard
drive and installed Ubuntu as the only OS, and it's worked with no problems.
However I completely understand that erasing windows is not an acceptable
option for everybody.

In many cases, I don't mind that updates to userland software get pushed out
without months and months of extensive testing since it means we get new
bits sooner. However, I in this case an update to the boot loader was pushed
which breaks installations that are especially targeted towards users who
are not necessarily as technically savvy. The very market segment that
Ubuntu wants to target has their last experience of the OS being a flashing
black and white screen with an error message.

If Wubi is a supported installation option for this operating system, it
should be on the list of configurations to be tested before updates get
pushed out. Mistakes happen, and maybe this problem is only occurring in a
special subset of Wubi installs.

Either way, it is unfortunate that an update to a system-critical package
was pushed out without more testing.

-Peter

On Sun, Dec 13, 2009 at 7:13 AM, Andy Fried <email address hidden>wrote:

> The problem magically rectified itself , the last time.
> I updated my system last night, after being unable to access it for a week.
> I noticed an upgrade for grub, and it broke it again. Now I can't boot
> again.
> This is doing ubuntu's reputation as a stable operating system, no good at
> all. I think I'll reconsider my Vista!
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub2” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/477104/+subscribe
>

moronic (danni-otterbach) wrote :

Amen, Peter Brook.

Jim Liebert (jimlbrt) wrote :

Re: Post #5: Mr. Russo; On my machine C:\wubildr and H:\ubuntu\winboot\wubildr match exactly as to Byte size and MD5Sum, as do C:\wubildr.mbr and H:\ubuntu\winboot\wubildr.mbr, where Win 2K is installed on C:\ (or Disc 1-1) and Ubuntu 9.10 is(was) installed on H:\ (or Disc 2-1). Disc 1-1 is the only Primary partition on drives; all other are Logical within Extended partitions; and ALL partitions are NTFS. Ergo, I did not replace the two files on C:\. As of the failure of Grub 1.97~B4 to boot the system, H:\ubuntu\disks\boot\grub is vacant. Nichts, hidden or visible.

I rather think you now have moved beyond this. If I may assist another way, please advise. J.R.L.

TimMadden (timmadden) wrote :

#22 - https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/22 fixed it for me. But, that blew away a couple more hours...

Agostino Russo (ago) wrote :

I have applied the grub patch proposed by phcoder (comment #77) and regenerated wubildr

Please try to replace C:\wubildr with the file attached and report whether this fixes the problem

Agostino Russo (ago) wrote :

Please make sure that when you boot the line "insmod ntfs" is commented out or disable it by pressing "e" at the grub boot menu and edit the entry before proceeding.

Lakshmanan (lak89) on 2009-12-18
Changed in grub2 (Ubuntu):
assignee: hyungt1024 (hyungt1024) → Lakshmanan (lak89)
assignee: Lakshmanan (lak89) → nobody
Changed in grub2 (Ubuntu):
status: Confirmed → Triaged
description: updated
tags: added: verification-needed
Xavier RAFFIN (xavierraffin) wrote :

Bug is in Launchpad :

https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104

There i instruction to boot and to repair.

I was having the same bug.
If you need more help, ask me.

2009/12/18 Sergio Zanchetta <email address hidden>:
> ** Changed in: grub2 (Ubuntu)
>       Status: Confirmed => Triaged
>
> ** Description changed:
>
>  Binary package hint: grub
>
>  Installed ubuntu 9.10 using Wubi.
>  Performed upgrades.
>  After a grub update could not boot.
>  Get screen:
>
>  Try (hd0,0) : NTFS5:
>
>  and then
>
> -                         GNU GRUB version 1.97~1.97beta4
> +                         GNU GRUB version 1.97~1.97beta4
>  [ Minimal Bash-like line editing is supported ...
>
>  sh:grub>
>
>  Online help does not work for this grub version.
>
>  Need instructions to recover.
>
>  I could try a new install, but may recreate the problem after update.
>
>  Help.
>
> ** Tags added: verification-needed
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “grub2” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
>                         GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/477104/+subscribe
>

Sergio Zanchetta (primes2h) wrote :

@Agostino
As you can see here
https://answers.edge.launchpad.net/ubuntu/+source/grub2/+question/91579
this patch fixes the problem.

Changed in grub2 (Ubuntu):
status: Triaged → Fix Committed
Oliver Saier (osaier) on 2009-12-19
Changed in grub2 (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Agostino Russo (ago) wrote :

I would like more confirmations that the patch in #90 actually works. Your feedback is appreciated.

CeesSluis (testcees) wrote :

I replaced C:\wubildr with the file attached in #90 and that fixes the problem for me.
Thanks.

Sergio Zanchetta (primes2h) wrote :

@Agostino
In the link I provided before another user confirm that this patch fixes the issue.

tags: added: verification-done
removed: verification-needed

Wiped and reinstalled 9.10 before your patch became available. I did
not use the LiveCD, but downloaded then current Wubi.exe and let it
fetch all needed modules of 9.10. This installed Grub 1.97~B4, which
appears to function without any glitch.

Have kept your mail and patch against the possibility of future
trouble. I thank you (all) for fixing the modules in the online
repository that Wubi.exe tapped. If they had not been put right I still
would be huddled behind the 8-ball.

Again, thanks for fixes and for your diligence in writing me.

Jim Liebert
Akron, Ohio, United States

On 2009-12-23 03:52, Agostino Russo wrote:
> I would like more confirmations that the patch in #90 actually works.
> Your feedback is appreciated.
>

Alex Mayorga (alex-mayorga) wrote :

I'm also stranded here after updating my wubi install, below my output as requested by Mr. Russo
ls
(loop0) (hd0) hd(0,3) hd(0,2) hd(0,1)
root
(loop0): Filesystem is ext2.
cat (loop0)/boot/grub/grub.cfg
<no output>
configfile (loop0)/boot/grub/grub.cfg
< this clears the screen and moves the prompt to the top, no aparent output either>

Now I'll try the different suggestions listed here to see if I can boot the system again.

Agostino Russo (ago) wrote :

Here is the debdiff for the upstream patch 1927, Eliminate NTFS 4Gib barrier, by phcoder (comment #77), the fix seems to be working according to the reports here and in bug #477169

meow81 (whocares) wrote :

and how must be used it?

Agostino Russo (ago) wrote :

The patch has to go through this process https://wiki.ubuntu.com/StableReleaseUpdates before it is made available as a package upgrade. At that point a normal upgrade will fix the issue.

Evan Dandrea (ev) on 2010-01-07
description: updated
HeNz (hany103) wrote :

Post #90 fixes the problem for me, thank you Agostino Russo and thank you phcoder

meow81 (whocares) wrote :

Now i can say that it works #210 method with the new updated kernel linux-image-2.6.31-17-generic amd64 in kubuntu karmic ,with insmod ntfs disabled, thank you.

installed : linux-image-2.6.31-17-generic, linux-headers-2.6.31-17, linux-headers-2.6.31-17-generic, linux-image-2.6.31-17-generic, linux-headers-2.6.31-17, linux-headers-2.6.31-17-generic
updated: linux-generic, linux-image-generic, linux-headers-generic, linux-libc-dev, linux-image-generic, linux-generic,
linux-headers-generic, linux-libc-dev

Matt Edlefsen (matt-edlefsen) wrote :

This needs to be put someplace people can easily find it. I installed wubi on my sisters laptop because windows was having all sorts of problems and I said ubuntu would be more stable. Less than a week later and the night before I leave I get the latest kernel and can't boot. If that wasn't bad enough, it took me, a battle hardened linux vet almost 2 hours to find the fix at the bottom of one of many similar bug reports.

When mistakes of this magnitude are made it doesn't just make linux and the ubuntu project look bad it makes all of the evangelists out there trying to help people look bad too.

Please please please add a warning someplace highly visible or perhaps push a notice out to people via a package that this is a known bug that can break wubi, and how to fix it.

Thanks,
A dedicated linux evangelist

Accepted grub2 into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in grub2 (Ubuntu Lucid):
assignee: nobody → Agostino Russo (ago)
Changed in grub2 (Ubuntu Karmic):
assignee: nobody → Agostino Russo (ago)
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Terrasque (forum-thelazy) wrote :

Installed grub2 from proposed, still the same. All files edited or created after a certain event (which was after original -14 kernel got written to disk) can not be read by grub.

installed using wubi, on a windows 7 system, 64bit install, 20gb disk image.

I replaced C:\wubildr with the file attached in #90 and that fixes the problem for me.
Thanks, for the effort!

In executing Xavier's suggestion in #72 to set GRUB_DEFAULT=2 in /etc/default/grub ... I typo'd set GRUB_DEFAULT=1

As the gurus here will already know, this means that the system booted to the grub kernel selection menu; with kernel 31-17 (recovery mode) option highlighted rather than the desired 31-16. No problem, I just arrow'd down to the 31-16 option and all went well.

However, when I went back to /etc/default/grub and corrected my typo with a "2" the problem of booting to the sh:grub> prompt returned. So I went back to /etc/default/grub and set the "2" back to "1" ... which had just worked a moment ago ... no joy. Right back to where I started with kernels 17, 16, 15 available ... 16 bootable by hand ... 17 "invalid magic number" ... 15 untested ... and my results to the required #29 tests identical to those described in #47 and others.

So, my experiences certainly confirm #47, #48, #49.

In executing Xavier's suggestion:

* All edits made via 'sudo emacs /etc/default/grub'
* Ran 'sudo update-grub' and 'sudo update-grub2' after each edit
* cat /etc/boot/grub/grub.cfg reflected changes successfully made by grub-mkconfig

Curiouser and curiouser ... thanks for all the work here! I was trying to find a lazy shortcut to Mark Abene's #65 "real" fix ... but so far, looks like that's still the most reliable workaround, for now.

Jack Horner (robinaa) wrote :

We also tried replacing C:\wubildr with the file attached in #90 and the problem is fixed.
Thank to all for this.
We'd like to know when/how this will be released as the "standard" update ...

Martin Pitt (pitti) wrote :

I'm a bit confused here. So does the update work as intended or not? (Given that people still have to apply manual changes?) Agostino?

foxyaspis (spisni) wrote :

Hi
I download the wubildr file and replace it in the C:\Ubuntu dir.
I didn't modify anything else. Everything seems to work.
Link:
http://launchpadlibrarian.net/36920146/wubildr

Comment 90 for bug 477104
Ago wrote
I have applied the grub patch proposed by phcoder (comment #77) and regenerated wubildr
Please try to replace C:\wubildr with the file attached and report whether this fixes the problem

Try (hd0,0) : NTFS5:
                        GNU GRUB version 1.97~1.97beta4
[ Minimal Bash-like line editing is supported ...

sh:grub>

I also had success with replacing C:\wubildr as per #90 - all seems to work great.

madwoollything (ianbradby) wrote :

I download the wubildr file and replaced it in the C:\Ubuntu dir as in #90
I didn't modify anything else. Everything seems to work.

Many thanks

maaaw2009 (maaaw2003) wrote :

same as #114, i have just replace the wubildr file, now i am back in business :D

Damacio (davidmp4) wrote :

# 90 worked for me. Thanx

zjaak (zjaakie) wrote :

https://bugs.edge.launchpad.net/ubuntu/+source/grub2/+bug/477104/comments/90

#90 Worked for me too! After about 5 hours of searching this is the fix!

For google keywords:
wubi grub2 ubuntu 9.10 wont boot problems

sh:grub>

Arjan (at-tuko) wrote :

Fix #90 worked for me! Thanks.

Tristan (tristan-robet) wrote :

From now, should people avoid Wubi installation for Ubuntu Karmic ?

Will new Wubi installations have the same grub crash after update ?

The wubildr file works great, but where will it go next ?

Why is this bug not critical for Ubuntu Karmic ?

Thanks for answers, and I fully agree with Peter Crook #86

Alexander Nordin (calinox) wrote :

Sadly, the wublidr-patch dosen´t work for me.

Here is my computer:

Fujiutsi Siemens Computers Tablet PC
Genuine Intel (R) CPU
T2300 @ 1 Ghz 1.66 Ghz 500 MB RAM

What to try next?

tommylee44 (tlmoore71) on 2010-01-30
Changed in grub2 (Ubuntu Lucid):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Jesse Glick (jesse-glick) wrote :

Not sure if it is related, but as of Jan 30 2010 my Wubi installation failed to boot. After selecting the 2.6.31-16 kernel in the GRUB menu (the default entry), the console reports a "compression error" and then claims that no root filesystem can be mounted. Selecting the 2.6.31-14 kernel works fine, after which 'ls -lt /boot' shows that initrd.img-2.6.31-16-generic has been modified on the 30th (but not vmlinuz-2.6.31-16-generic, which was rather older). 'gzip -t' reports no errors on it.

antesdelalba (antesdelalba) wrote :

Managed to boot, thanks to comment #76. Thank you Felix.

antesdelalba (antesdelalba) wrote :

The problem was fixed after running update-grub2, once booted.

frisoco (mailfriso) wrote :

I also went into windows and then replaced C:\wubildr with the file attached in #90 and that fixes the problem for me!!
Thanks, for the effort!

I say again: Good work on the patch. Kernel version 2.6.31.19 appeared
on Update Manager last night and I rolled my dice. Linux rebooted 5x5.
Thanks, fixers.

James Liebert
Akron, Ohio, US

On 02/05/2010 04:42 AM, frisoco wrote:
> I also went into windows and then replaced C:\wubildr with the file attached in #90 and that fixes the problem for me!!
> Thanks, for the effort!
>
>

soulashell (salvadorsotelo) wrote :

The patch on comment #90 worked great!

Thanks Agostino. :)

Bruce Jackson (bruce-jaxfam) wrote :

#90 fixed both the VRS panic (bug #477169) I was experiencing with kernel 2.6.31-17 (had to select -14 to boot) and the "GRUB version 1.97~1.97beta4" prompt I got after installing -19 last night, in my dual-boot (wubi) installation. Thanks, Agostino!

Murmansk (murmansk) wrote :

#90 fixed wubi bug #497168, now working with my old Vaio VGN-TX1 laptop, using Wubi Ubuntu 9.10 over Windows7.

Thanks for your work, Agostino!

Jordi2019 (jordi2019) wrote :

Agostino,

Your patch worked perfectly on my Ubuntu!!!

Thank you very much for your job ;)

DaleC (twodalec) wrote :

so I'm wondering. is the patch/fix now included in the current karmic/wubi official download? or included in updates?

Jedrzej Dec (decjedrek) wrote :

After following these instructions
https://bugs.launchpad.net/ubuntu/+source/lupin/+bug/477169/comments/210
and applying the patch my wubi installations works perfectly.

Thank You for help.

WhiteGoose (ysegers) wrote :

Comment #90 simply brought the solution for me:

I downloaded wubildr as provided and replaced C:\wubildr on my windows partition (Windows XP on lenovo x61).
Next boot worked fine without any other intervention.

Thank you, Agostino, thank you All!

r12056 (r12056) on 2010-02-08
Changed in grub:
assignee: nobody → Agostino Russo (ago)
doomplanet (daniel6047) wrote :

Thanks Agostino, I tried a lot of different solutions proposed on the net first but the #90 did the trick at last!
cheers!

Chris Johnston (cjohnston) wrote :

Removed assignee that was added by r12056.

The nominations may not be appropriate. Please investigate and fix as appropriate.

Changed in grub:
assignee: Agostino Russo (ago) → nobody
ggg1 (cgcoss) wrote :

i have followed all instructions. replaced wubildr, tried update-grub2. i have reinstalled grub2 and updated from the karmic proposed.

nevertheless, every time i boot, i get the grub console.

from there i am able to boot using:

linux /boot/vm...-17... root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
initrd /boot/initrd.....-17...
boot

i do not know what else to do.

note: it was suggested to disable insmod ntfs by pressing e at the grub menu. i was not able to do that, as pressing e while i see windows and ubuntu will not do anything. and selecting ubuntu goes into the grub console immidiately and i cant press e.

any ideas?

thanks

Hello all,

Same problem here after upgrade to "-19". I've tried replacing the wubildr (comment #90). Problem didn't go away.

Managed to boot into "-16" and "-14" manually with [linux , initrd , boot] sequence. When I tried to see grub.cfg from grub a complete mess was displayed.

I've run update-grub2 once and I was still being pushed to the grub2 prompt. I've booted manually again, run update-grub2 and this time I made it to the menu!

Still, when I try to boot into "-19" the system automatically reboots. I will reinstall the package.

My 2cents:
Since people can recover via a manual [linux, initrd, boot] sequence grub.cfg must necessarily be readable until root=(loopX) is executed. And it becomes mysteriously unreadable afterwards.

On the other hand I needed to do update-grub2 a few times until I managed to get the menu back - somehow the way grub.cfg was stored on disk was making all the difference.

Dave (t-admin-peoplesign-com) wrote :

Same problem here after 2.6.31-19 kernel upgrade. At first I had enduring trouble and great pain booting manually, and I wanted to share the instructions that worked for my system.

The greatest point of confusion for me was that there were no /dev/sd... entries listed via "ls /dev" from the grub command prompt. Despite this, my manual boot succeeded when I used "root=/dev/sda2". in my "linux ..." command. Also, my host (vista) partition was not mounted properly, so I could not "ls /ubuntu". Yet despite that I was able to successfully specify "loop=/ubuntu/disks/root.disk" in my linux command.

System details:
hardware: lenovo r61i laptop (probably not relevant)
host OS: Windows Vista
wubi version: ? (probably not relevant)
ubuntu version: 9.10

Manual boot instructions:
set root=(loop0)
linux /boot/vmlinuz-2.6.31-16-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro
initrd /boot/initrd.img-2.6.31-16-generic
boot

In Ubuntu after manual root:
"sudo update-grub" ("sudo update-grub2" is equivalent?)

Notes:
You may have to change /dev/sda2 to /dev/sda1. You need to pick the device that corresponds to the windows partition that stores your wubi installation. I think I simply used "ls" from the grub command prompt and got info that suggested I needed to use sda2. (I think the first partition was the windows boot partition).

Barbara (bpruijn) wrote :

I installed Ubuntu on Feb 9th 2010 and have the same problems as first reported in Nov 2009.

sh:grub> ls
(loop0) (hd0) (hd0,3) (hd0,2) (hd0,1)
sh:grub>root
(loop0): Filesystem is ext2
sh:grub> cat (loop0)/boot/grub/grub.cfg
bunch of zeros
sh:grub>configfile (loop0)/boot/grub/grub.cfg
<nothing>

Also, I don't have a /dev/sda1.

Is there currently a work around or is the ubuntu installer for windows fixed since Feb 9th?

Barbara (bpruijn) wrote :

PS The different devices listed in /dev are:

 pts/ shm/ agpgart apm_bios audio audio1 audio2 audio3 audioctl console core dsp dsp1 dsp2 dsp3 full i2c-0 i2c-1 i2c-2 i2c-3 i2c-4 i2c-5 i2c-6 i2c-7 kmem loop0 loop1 loop2 loop3 loop4 loop5 loop6 loop7 mem midi0 midi00 midi01 midi02 midi03 midi1 midi2 midi3 mixer mixer1 mixer2 mixer3 pmpu401data mpu401stat null port ptmx ram ram0 ram1 ram10 ram11 ram12 ram13 ram14 ram15 ram16 ram2 ram3 ram4 ram5 ram6 ram7 ram8 ram9 random rmidi0 rmidi1 rmidi2 rmidi3 sequencer smtpe0 smpte1 smpte3 sndstat stderr stdin stdout tty tyy0 tty1 tty2 tty3 tty4 tty5 tty6 tty7 tty9 urandom zero

I don't recognize anything above as being a disk/hard drive.

How do I find out which drive to use in:

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda loop=/ubuntu/disks/root.disk.ro
                                                             ^^^^^^^^^
initrd /boot/initrd.img-2.6.31-14-generic

Barbara (bpruijn) wrote :

Problem solved.
I had downloaded C:\wubildr as in comment 90. But I didn't see that windoze didn't let me copy the file (the date was still Feb 9th). When I brute force removed the file and then downloaded the file from comment 90, the date did change and I booted in Ubuntu and voila, it works!

Boot process confirmed fixed on my machine, by new Wubildr from Comment 90. I can now also boot with -19. Many thanks to Agostino.

Long explanation : I am using Firefox on Windows and have originally tried to download Wubildr directly to C:\wubildr. The overwrite of C:\wubildr failed silently. Sorry for the spam. Thanks to Barbara for the hint.

Mr. Toastey (mickjeffries) wrote :

Thank you soo much to comments in 19, 20, and 21!

I am a complete ignoramus and Ubuntu tinkerer who knows *nothing*. I was having this grub2 problem, and I've been attempting fixes based on discussion threads where — I assure you — I basically have no idea what I'm doing. (it's ok, b/c I have this little Asus 1005-hab and it's just for fun.

Anyway, I'm ecstatic that, because of the hard work and curiosity of this thread, I actually was flabbergasted when IT WORKED for me.

thank you!

Meoiswa (meoiswa) wrote :

EEE PC 1005HA with Windoze and Ubuntu via wubi. Failed to display Grub4DOS menu after updating a bunch (A BUNCH) of updates.
Using the patched file didnt work at first. Reason was i was patching up the wrong file (instructions werent specific enough for me noob).
Newbies out there, Download the patched file and place it right on the root OF YOUR WINDOWS INSTALLATION PARTITION (AKA C:) NOT IN THE PARTITON YOU HAVE THE WUBI INSTALL.
(Capslock for ease of relevancy)
After doing so both -14 and -19 kernels booted perfectly.
Had no need to comment any line.
Please put this patched file in the Wubi release before more people have this terrible bug

bsquared (bsquared) wrote :

ditto #135,

Still not working after following all procedures here. Trying boot.disk scenario from 477169 as a completely different file is displayed when cat /boot/grub/grub.cfg is run in grub prompt.

bsquared (bsquared) wrote :

While preparing 144 I noticed that the root partition for grub was (hd0,1). I realized that that is the xp rescue partition and confirmed by running "ls (hd0,1)". I entered th parameters as normal and mounted that partition to find wubildr and wubildr.mbr dated 10/31/2009. I renamed these files and rebooted. Problem solved grub menu appeared and latest kernel loaded(2.6.31-19).

kylehaas (ddr-heero) on 2010-02-25
Changed in grub2 (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Colin Keenan (colinkeenan) wrote :

Comment #90 worked for me.

Jim (stopchaos) wrote :

Replacing C:\wubildr with Agostino's downloaded version fixed the boot problem encountered after Ubuntu update on 3/4/10 ... did not replace the other wubildr file in windows root ... THANK YOU ... this was going to be my 5th WUBI/Ubuntu reinstall as this happens every time ... seems like Wubi distribution should include this fix ... ??? thanks again ... StopChaos in Memphis, TN

zenith (karlcron) wrote :

Replacing C:\wubildr also worked for me, THANKS SO MUCH. This all happened after an update two nights ago (3/5/10), which I noticed when booting into ubuntu last night... Now I just have to fix a bunch of other things that have gone wonky (my keyboard is on num-lock regardless of whether it's actually on or not - which makes it impossible for me to type in stuff like passwords to perform stuff like sudo commands, connect to a network, etc...) The WUBI distro should most definitely include this fix though.

Stergios (svourdo) wrote :

#90 worked also for me. Thanks!!
(i have dual boot with wubi Win7 and Ubuntu 9.10. The problem apeared after an update)

RonG (fndsource) wrote :

McKraught,

These codes worked for me (#22), I was able to get back in to ubuntu, then I updated grub2 but when I rebooted, I end up in the
sh:grub> again and I have to retype all the codes again to get into ubuntu. Is there anything else I need to do? I'm a newbee please help.

Thanks!

sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

RonG (fndsource) wrote :

Agostino,

These codes worked for me but I have to manually entered the command every time I boot.

sh:grub>set root=(loop0)
sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

Then I replaced the wubildr from #90 and it booted automatically this time.

Thanks!

Tall Guy (tallguy257) wrote :

Agostino,

Like RonG, I can manually boot into a low graphics mode using the following steps:

sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda3 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
sh:grub>boot

When I replaced the wubildr from #90, nothing happened and I must still boot manually.

Sten (sten-hanihatten) wrote :

for me the fix in comment #90 worked exactly as described, big thanks for the fix!

Tall Guy,

I've had a similar problem (running Vista) which was due to the fact that
Windows Vista silently failed to overwrite C:\wubildr.

Possible solution:
Download wubildr again to your Desktop/Downloads folder first, and only then
copy it over C:\wubildr using Explorer. You should get an User Account
Control prompt this time asking you for permission to do that.

On Wed, Mar 17, 2010 at 9:48 PM, Tall Guy <email address hidden> wrote:

> Agostino,
>
> Like RonG, I can manually boot into a low graphics mode using the
> following steps:
>
> sh:grub>linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda3
> loop=/ubuntu/disks/root.disk ro
> sh:grub>initrd /boot/initrd.img-2.6.31-14-generic
> sh:grub>boot
>
> When I replaced the wubildr from #90, nothing happened and I must still
> boot manually.
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GRand Unified Bootloader: New
> Status in “grub2” package in Ubuntu: Fix Committed
> Status in “grub2” source package in Lucid: Fix Committed
> Status in “grub2” source package in Karmic: Fix Committed
>
> Bug description:
> GRUB2 could not read past 4G on NTFS.
>
> The patch was <http://launchpadlibrarian.net/37322976/debdiff>, uploaded
> to karmic-proposed as 1.97~beta4-1ubuntu5.
>
> Test case:
> Install Ubuntu 9.10 using Wubi
> Install all available updates.
> Reboot into Ubuntu.
>
> Original report follows:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/grub/+bug/477104/+subscribe
>

--
Best regards
Ciprian Enache

RonG (fndsource) wrote :

Tall Guy,

For some reason I had two locations where I have the wubildr. C:\ and also C:\wubi\boot. When I replace the C:\wubi\boot location it did NOT wok. So I replaced both locations on C:\ and also C:\wubi\boot, then it load up automatically. Now it has been loading ok for me so far.

Thanks!

Tall Guy (tallguy257) wrote :

RobG and Ciprian Enache,

Thanks for the pointers. I am booting automatically into ubuntu again!!!

-Tall Guy

Ramon Casha (rcasha) wrote :

I think I have the same problem, however I am NOT using WUBI. I have Ubuntu installed directly onto the hard disk, but with all filesystems except /boot installed on an LVM.

The kernel panic only occurs with the latest kernel - 2.6.31-20-generic - but the system boots fine with the previous kernel 2.6.31-19-generic.

The message being given is
Kernel Panic - not syncing: VFS:unable to mount root fs on unknown block (0,0)

Colin Watson (cjwatson) wrote :

I've opened tasks on lupin for Mark Abene's patches from bug 477169. This is slightly independent of the grub2 patches that are the main substance of this bug, but since Agostino marked that bug as a duplicate of this one, we might as well hoover them up here.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lupin - 0.28

---------------
lupin (0.28) lucid; urgency=low

  * Don't corrupt wubildr if grub-mkimage is interrupted.
  * Fix /etc/grub.d/10_lupin to handle separate /boot (thanks, Mark Abene;
    LP: #477104).
  * Handle separate /boot in grub-mkimage, based on a patch from Mark Abene
    (LP: #477104).
  * Source /scripts/casper-functions only after processing 'prereqs'
    argument, to avoid warnings with new initramfs-tools.
 -- Colin Watson <email address hidden> Fri, 19 Mar 2010 19:11:03 +0000

Changed in lupin (Ubuntu Lucid):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

I've uploaded lupin to karmic-proposed, which is now waiting for another archive admin to approve it. Pursuant to https://bugs.launchpad.net/ubuntu/+source/lupin/+bug/477169/comments/70, I think that this should allow a straightforward update to repair wubildr without having to download and install Agostino's image by hand.

Accepted lupin into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in lupin (Ubuntu Karmic):
status: New → Fix Committed
Ricardo Sanchez (agentriot) wrote :

I experienced this problem too on Ubuntu karmic installed via WUBI. Behaviour on my system is consistent with comment #47 by
Mark Abene. I was able to boot my system using these commands on the grub shell:

sh:grub>linux /boot/vmlinuz-2.6.31-19-generic root=/dev/sda1 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-19-generic
sh:grub>boot

(2.6.31-20 gave the invalid magic number error)

I installed the proposed lupin packaged on my semi-broken system, and now my system won't boot. It takes me to the grub shell like before, but the boot sequence ends with a weird Call Trace and a soft lockup (modprobe:683) after AppArmor profiles are loaded.

Ricardo Sanchez (agentriot) wrote :

Kernel 2.6.31-14 also fails to boot. Any tips on how can I get my ubuntu booting again?

Colin Watson (cjwatson) wrote :

Could you attach a photo of the error? I wonder if this is some different problem getting in the way.

Colin Watson (cjwatson) wrote :

The 4GiB NTFS barrier problem should be fixed in Lucid, at least, so I'm closing the grub2/lucid bug task for the time being. The Karmic tasks remain open.

2009-12-10 Vladimir Serbinenko <email address hidden>

        Eliminate NTFS 4Gib barrier.

        * fs/ntfs.c (read_attr): Use grub_disk_addr_t and grub_size_t.
        (read_run_data): Likewise.
        (grub_ntfs_read_run_list): Likewise.
        (grub_ntfs_read_block): Likewise.
        (grub_ntfs_iterate_dir): Likewise.
        (read_mft): Likewise.
        (read_data): Likewise.
        Use COM_LOG_LEN.
        * fs/ntfscomp.c (read_block): Cast ctx->target_vcn & 0xF to unsigned
        to avoid 64-bit division
        * include/grub/ntfs.h (COM_LOG_LEN): New definition.
        (grub_ntfs_rlst): Use grub_disk_addr_t.

Changed in grub2 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in grub2 (Ubuntu Karmic):
importance: Undecided → Critical
Ricardo Sanchez (agentriot) wrote :

Okay, the proposed lupin package did not completely break my system, it was a USB mouse I have that makes ubuntu not to boot when connected, sorry about that.

However, I can confirm, that the proposed package per-se won't fix a system in this state, I have to continue booting by usingthe aforementioned commands from the Grub shell.

Colin Watson (cjwatson) wrote :

Ricardo, could you clarify two things for me:

  * Do you have /boot mounted separately? (This should not really be necessary, but it was recommended as a workaround at one point in this bug, and the purpose of the lupin-support upgrade was to handle this better.)
  * Have you also upgraded grub-common and grub-pc from karmic-proposed? (If not, please do.)

Ricardo Sanchez (agentriot) wrote :

Colin,

as for the first question, I do not have /boot mounted separately. How can I do this? I guess I have to create a new disk image to sit under the Win XP NTFS partition, move the boot contents to the new disk, add it to mtab, and rerun grub. I'm not sure about the steps to do it, specially the image creating part.

as for the second question, I just upgraded grub-common and grub-pc from karmic-propsed, after the upgrade the problem remains unfixed by default.

Lakshmanan (lak89) wrote :

I just made an update for the first time yesterday to my karmic and the problem is occuring again.

Ferraz75 (ferraz75) wrote :

After reading all 169 comments, nobody has the same problem that I have:

I dont have any "vmlinuz-..." like file placed in /boot/ . Moreover, I dont have any file called root.disk, could it mean that somehow the whole WUBI instalation has been deleted?
I've the /ubuntu folder at C:/

*I've already replaced wubildr at c:/ but as I dont have any vmlinuz-... like file I cannot follow instructions done in some comments as #1.

Thnx!

youssefsan (youssefsan) wrote :

I have downloaded today the revision 160 and get a "grub>" prompt when trying to boot on Ubuntu

Ricardo Sanchez (agentriot) wrote :

Can somebody point out to instructions on how to create and configure a separate disk image and get the /boot contents our of /ubuntu/disks/root.disk, so everybody experiencing this can put in place a workaround?

The recent lack of updates this unresolved issue is getting is discouraging.

Dosen't work :(

Anybody can provide manual boot.?

Ubuntu is in folder

D:\

Also i bymistakely replaced the file in comment #90 into D:/ubuntu/winboot/wubildr

Any help please?

Changed in grub2 (Ubuntu Karmic):
status: Fix Committed → Incomplete

This bug is a big monster! Imagine the amount of users with a broken boot. If I just had more information that could help, but I posted all I could find!

dosen't work yet

Tom (tom6) wrote :

The wubi guide might help someone in here
https://wiki.ubuntu.com/WubiGuide#Cannot%20boot%20into%20Ubuntu
but probably not everyone

Good luck and regards from
Tom :)

Thanks tom...I'll try ;)

Fix wubi or ill switch 20 pcs to windows!

2010/4/18 friendishan <email address hidden>

> Thanks tom...I'll try ;)
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GRand Unified Bootloader: New
> Status in “grub2” package in Ubuntu: Fix Released
> Status in “lupin” package in Ubuntu: Fix Released
> Status in “grub2” source package in Lucid: Fix Released
> Status in “lupin” source package in Lucid: Fix Released
> Status in “grub2” source package in Karmic: Incomplete
> Status in “lupin” source package in Karmic: Fix Committed
>
> Bug description:
> GRUB2 could not read past 4G on NTFS.
>
> The patch was <http://launchpadlibrarian.net/37322976/debdiff>, uploaded
> to karmic-proposed as 1.97~beta4-1ubuntu5.
>
> Test case:
> Install Ubuntu 9.10 using Wubi
> Install all available updates.
> Reboot into Ubuntu.
>
> Original report follows:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the problem after update.
>
> Help.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/grub/+bug/477104/+subscribe
>

Lakshmanan (lak89) wrote :
Download full text (3.3 KiB)

@juanit0

go ahead switch to windows, no problem !!

http://luckydev07.blogspot.com/

On Mon, Apr 19, 2010 at 1:54 AM, juanit0 <email address hidden> wrote:

> Fix wubi or ill switch 20 pcs to windows!
>
> 2010/4/18 friendishan <email address hidden>
>
> > Thanks tom...I'll try ;)
> >
> > --
> > After 9.10 grub update can not boot into Wubi install
> > https://bugs.launchpad.net/bugs/477104
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in GRand Unified Bootloader: New
> > Status in “grub2” package in Ubuntu: Fix Released
> > Status in “lupin” package in Ubuntu: Fix Released
> > Status in “grub2” source package in Lucid: Fix Released
> > Status in “lupin” source package in Lucid: Fix Released
> > Status in “grub2” source package in Karmic: Incomplete
> > Status in “lupin” source package in Karmic: Fix Committed
> >
> > Bug description:
> > GRUB2 could not read past 4G on NTFS.
> >
> > The patch was <http://launchpadlibrarian.net/37322976/debdiff>, uploaded
> > to karmic-proposed as 1.97~beta4-1ubuntu5.
> >
> > Test case:
> > Install Ubuntu 9.10 using Wubi
> > Install all available updates.
> > Reboot into Ubuntu.
> >
> > Original report follows:
> > Binary package hint: grub
> >
> > Installed ubuntu 9.10 using Wubi.
> > Performed upgrades.
> > After a grub update could not boot.
> > Get screen:
> >
> > Try (hd0,0) : NTFS5:
> >
> > and then
> >
> > GNU GRUB version 1.97~1.97beta4
> > [ Minimal Bash-like line editing is supported ...
> >
> > sh:grub>
> >
> > Online help does not work for this grub version.
> >
> > Need instructions to recover.
> >
> > I could try a new install, but may recreate the problem after update.
> >
> > Help.
> >
> >
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/grub/+bug/477104/+subscribe
> >
>
> --
> After 9.10 grub update can not boot into Wubi install
> https://bugs.launchpad.net/bugs/477104
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GRand Unified Bootloader: New
> Status in “grub2” package in Ubuntu: Fix Released
> Status in “lupin” package in Ubuntu: Fix Released
> Status in “grub2” source package in Lucid: Fix Released
> Status in “lupin” source package in Lucid: Fix Released
> Status in “grub2” source package in Karmic: Incomplete
> Status in “lupin” source package in Karmic: Fix Committed
>
> Bug description:
> GRUB2 could not read past 4G on NTFS.
>
> The patch was <http://launchpadlibrarian.net/37322976/debdiff>, uploaded
> to karmic-proposed as 1.97~beta4-1ubuntu5.
>
> Test case:
> Install Ubuntu 9.10 using Wubi
> Install all available updates.
> Reboot into Ubuntu.
>
> Original report follows:
> Binary package hint: grub
>
> Installed ubuntu 9.10 using Wubi.
> Performed upgrades.
> After a grub update could not boot.
> Get screen:
>
> Try (hd0,0) : NTFS5:
>
> and then
>
> GNU GRUB version 1.97~1.97beta4
> [ Minimal Bash-like line editing is supported ...
>
> sh:grub>
>
> Online help does not work for this grub version.
>
> Need instructions to recover.
>
> I could try a new install, but may recreate the p...

Read more...

Ricardo Sanchez (agentriot) wrote :

Tom, the solution mentioned in the link you posted is not related with the issues regarding this bug.

Martin Pitt (pitti) wrote :

In comment 166 Ricardo confirmed that the packages in -proposed do not help to automatically fix a broken system. There are tons of workarounds described here, but they are for the karmic-final package.

Agostino, can you please give a summary of the current state here? Should the current -proposed packages be removed due to failure, or will there be more changes to make them work, etc.? Thank you!

Arvind (always-arvind) wrote :

Hi,

I am facing the same error- after updating Ubuntu 9.10- but when I try to set the root as '/dev/sda1' in this step:

linux /boot/vmlinuz-2.6.31-14-generic root=/dev/sda1

 it is not there( there is no sda in /dev)

Hence, I am not able to boot into ubuntu now :(
Anyone has had a similar issue? Got Around it? Please do let me know about the same!

Martin Pitt (pitti) wrote :

This update has been in karmic-proposed for half a year or longer, without any testing feedback. I removed the proposed package again.

Changed in grub2 (Ubuntu Karmic):
status: Incomplete → Won't Fix
Changed in lupin (Ubuntu Karmic):
status: Fix Committed → Won't Fix
AJenbo (ajenbo) wrote :

@Martin i just got this issue on a system that can't run lucid or maverick stably, how do i provide some feedback?

Mayukh (mayukh-mukherjee) wrote :

Resolved this issue with the solution proposed by #5 above.

I have encountered this issue in karmic, lynx, maverick, <?>

Repeating the solution:
Copy wubildr and wubildr.mbr from your installation found in X:\ubuntu\winboot\wubildr onto X:\. That is, copy from the full path to the root of that partition. X:\ is of course the partition where you installed wubi. It may or may not be C:\

Verified in maverick. Had a bunch of updates after that, which asked me to reboot. And it did fine without issues.

I am new to launchpad bug-tracking, so as of now posting this in karmic thread (although the main reason I am now in maverick is out of hope that probably this was fixed in later releases (including the "LTS" lynx). But it wasn't...

Don't know whether this is appropriate place, but I wonder if it is possible to keep the critical boot files from getting disturbed at every kernel update? I've been using the heavyweight SUSE for 8+ years before I switched to ubuntu recently for its "wubi" feature, because I didn't have the patience to sit through a long installation after I upgraded my pc. (I keep windows to play games). But never ever did SUSE manhandle the boot files. It is good to have updates, more so because the lightweight ubuntu has a larger user base so is more tested on field. But shouldn't boot files be undisturbed as long as the OS is in the pc?

Changed in grub2 (Ubuntu):
assignee: Agostino Russo (ago) → nobody
Phillip Susi (psusi) on 2012-06-11
affects: grub → null
affects: null → grub
Changed in grub:
status: New → Invalid
To post a comment you must log in.